# https://bugzilla.redhat.com/show_bug.cgi?id=541154

Name:           xfce4-volumed
Version:        0.1.8
Release:        1%{?dist}
Summary:        Daemon to add additional functionality to the volume keys of the keyboard

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://launchpad.net/xfce4-volumed
Source0:        http://archive.xfce.org/src/apps/%{name}/0.1/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xfconf-devel
BuildRequires:  libnotify-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  xcb-util-devel >= 0.3.3
BuildRequires:  desktop-file-utils
Requires:       xfce4-mixer

%description
The xfce4-volumed adds additional functionality to the volume up/down and mute
keys of the keyboard. It makes the keys work without configuration and uses 
the XFCE 4 mixer's defined card and track for choosing which track to act on. 
The volume level is shown in a notification.

%prep
%setup -q
# fixes for the desktop file
sed -i 's|/usr/bin|%{_bindir}|g' data/%{name}.desktop
echo "Icon=multimedia-volume-control" >> data/%{name}.desktop


%build
%configure
make %{?_smp_mflags} CFLAGS='%{optflags}'


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --add-category="Utility" \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/%{name}.desktop
# one launcher is enough, we don't want to have a daemon in the menu
rm -rf $RPM_BUILD_ROOT/%{_datadir}/applications/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}


%changelog
* Tue Nov 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sun Nov 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Wed Oct 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Sat Sep 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.4-1
- Initial Fedora package
